gnutls_pkcs12_export2(3)

NAME
gnutls_pkcs12_export2 - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_export2(gnutls_pkcs12_t pkcs12, gnutls_x509_crt_fmt_t format, gnutls_datum_t * out);

ARGUMENTS

gnutls_pkcs12_t pkcs12
    A pkcs12 type

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

gnutls_datum_t * out
    will contain a structure PEM or DER encoded

DESCRIPTION
This function will export the pkcs12 structure to DER or PEM format. The output buffer is allocated using gnutls_malloc(). If the structure is PEM encoded, it will have a header of "BEGIN PKCS12".

RETURNS
In case of failure a negative error code will be returned, and 0 on success.

SINCE
3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/